// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
using namespace std;

int a {};
int i { 1 };

int main()
{
    cout << "How many times do you want this loop to repeat? (Minimum 1 and maximum 10): ";
    cin >> a;

    if (a >= 1 && a <= 10)
    {

    }
    else if (a > 10)
    {
        a = 10;
    }
    else
    {
        a = 1;
    }
    
    while (i <= a)
    {
        cout << "This is round " << i << " of this loop." << '\n';
        i++;
    }
    
    cout << '\n' << "The loop has exited.";
    
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
